Skip to main content
PUT
/
api
/
admin
/
ssoProvider
/
{id}
Update SSO provider
curl --request PUT \
  --url https://pria.praxislxp.com/api/admin/ssoProvider/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "institution": "<string>",
  "slug": "<string>",
  "clientId": "<string>",
  "clientSecret": "<string>",
  "tokenHost": "<string>",
  "userinfoUrl": "<string>",
  "label": "<string>",
  "enabled": true,
  "tokenPath": "<string>",
  "authorizePath": "<string>",
  "scope": "<string>",
  "fieldMapping": {
    "email": "<string>",
    "firstName": "<string>",
    "lastName": "<string>"
  }
}
'

Authorizations

Authorization
string
header
required

JWT token passed in authorization header

Path Parameters

id
string
required

Body

application/json
institution
string
required

Institution ID (immutable after creation)

slug
string
required

URL slug (lowercase letters, numbers, hyphens only)

Pattern: ^[a-z0-9-]+$
clientId
string
required
clientSecret
string
required
tokenHost
string
required
userinfoUrl
string
required
label
string
enabled
boolean
tokenPath
string
authorizePath
string
scope
string
fieldMapping
object

Response

Provider updated